#!/usr/bin/perl

use strict;
use warnings;

use Gtk3 '-init';

use constant OK     => -5;
use constant CANCEL => -6;

my $dialog = Gtk3::FileChooserDialog->new(
    'Select a file', undef,
    'open',
    'gtk-cancel' => CANCEL,
    'gtk-ok'     => OK,
    );

my $response = $dialog->run;
my $filename = $dialog->get_filename;
warn "got resp >$response<\n";
warn "got file >$filename<\n";
$dialog->destroy();

Gtk3->main();
